Bug 1649 - last.fm support in Media Player
: last.fm support in Media Player
Status: RESOLVED WONTFIX
Product: Multimedia
MAFW
: 5.0-alpha-pre1
: All All
: Low enhancement with 4 votes (vote)
: Harmattan
Assigned To: unassigned
: mafw-bugs
: https://garage.maemo.org/projects/mae...
:
: 1125
:
  Show dependency tree
 
Reported: 2007-07-11 22:43 UTC by Jason Carter
Modified: 2009-09-28 08:52 UTC (History)
6 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jason Carter (reporter) 2007-07-11 22:43:16 UTC
I would like to see Audioscrobbler (http://last.fm) support added to the N800's
internal Media Player. This appears to now be feasable thanks to the new
Maemoscrobbler project (https://garage.maemo.org/projects/maemoscrobbler) which
installs a new item to your control panel where you can input your Last.FM
username/password. 

In case you don't know what Last.FM and scrobbling is, it's basically logging
what you are listening to and posting it to your profile at http://last.fm
where other users can see what you're listening to, recommend music and so on.
It's basically a more social way of listening to music.

At the moment, it won't do anything because it needs specific support from the
media player/Nokia side of things for it to really work.

If maemoscrobbler is as simple as most every other scrobbler plugin is, it
should be very easy and light to add to the media player and it fits with the
multimedia/internet experience that the N800 is trying to bring to users. I
would like to see this happen.
Comment 1 Jake Kunnari 2007-07-12 13:40:03 UTC
mr. Quim Gil added to cc-field.
Comment 2 Jason Carter (reporter) 2007-07-22 04:11:48 UTC
Maemoscrobbler was just updated to better support the 770.
Comment 3 Jason Carter (reporter) 2007-12-05 16:02:37 UTC
Creating my own solution. See https://garage.maemo.org/projects/musicbridge/
for slightly more detail.
Comment 4 Andre Klapper maemo.org 2008-10-08 14:33:58 UTC
I assume this will be a WONTFIX and that there is no work for Fremantle going
on to improve this.

Adding dependency.

(Removing deprecated "Future" Target Milestone.)
Comment 5 Quim Gil nokia 2008-12-22 14:30:02 UTC
In Fremantle last.fm /audioscrobbler support is left for third parties on
purpose.

The initial plan for Harmattan is to provide such support based on a plugin -
that could be community supported.
Comment 6 Quim Gil nokia 2009-01-08 16:46:37 UTC
More details about the possibility of having this feature in Harmattan:

- The idea is to have a Media Player plugin, not a stand alone application.

- A community developed plugin would be most welcome. Of course, for that work
to start we need to release first the relevant code and documentation since we
are introducing major changes in the Harmattan Media Player.

- An official Last.fm service would require an official agreement between Nokia
and Last.fm Ltd. Nokia may or may not pursue such agreement and, as you
understand, this is not something we can discuss here.
Comment 7 Kemal Hadimli 2009-01-08 17:13:57 UTC
This is now possible with diablo osso-media-server's dbus messages, and I'm
planning to implement this (only for scrobbling, for other purposes Vagalume
works better than fine) in the next release of MaemoScrobbler.
Comment 8 Quim Gil nokia 2009-01-08 17:48:22 UTC
(In reply to comment #7)
> This is now possible with diablo osso-media-server's dbus messages

Ah, you might want to have another look at Bug 1125 and comment there.  :)
Comment 9 Iago Toral 2009-01-28 16:47:52 UTC
I think it would make sense to analyze this feature in the context of mafw,
since that would make it available to other media player applications for free.
Not sure if this would fit in mafw now, but at least I think it is the first
place to check for inclusion.
Comment 10 Quim Gil nokia 2009-03-30 10:32:17 UTC
Last.fm has changed its policy and business model drastically. 

http://www.last.fm/group/Last.fm+Web+Services/forum/21604/_/517212

The Vagalume developer explains how this affects this Fremantle Star app:

http://blogs.igalia.com/berto/2009/03/25/lastfm-to-start-charging-for-their-radio-streaming-service/

Even if the Internet Tablets seem to be now out of the scope of their
interpretation of "mobile devices" this could change at any point. Also, the
fact that the service is for subscribers in most countries limits the "free"
aspect Last.fm had.

All in all this looks like the one and only chance for a company like Nokia to
ship Last.fm related functionality would be to sign an agreement with Last.fm.
Such functionality could not be part of the core Media Player of MAFW, and it
would need to be a plugin.
Comment 11 Quim Gil nokia 2009-03-30 21:48:23 UTC
I think it makes sense to resolve this as WONTFIX, meaning that we as Maemo SW
will not integrate in the Media Player a service that now happens to be
subscription based in most countries.

Thanks to MAFW though, developing a Last.fm plug-in should be technically
feasible and even not complicated. However, the decision is left to third
parties (including Last.fm or someone partnering with them, of course).
Comment 12 Juan A. Suarez Romero 2009-05-15 10:44:07 UTC
(In reply to comment #3)
> Creating my own solution. See https://garage.maemo.org/projects/musicbridge/
> for slightly more detail.
> 

IMO having a third party utility is the best approach.

Also, I think you should take advantage of MAFW being an almost shared
framework. That is, you can implement a small daemon which registers within the
available renders (in current MAFW, only one render based on gstreamer is
provided, but who knows in future :-)) and scrobbles the data.

Thus, you provide scrobbling features for all players based on MAFW.
Comment 13 Claudio Saavedra 2009-09-26 22:48:05 UTC
In case anyone is interested, I started writing some weeks ago a mafw-powered
daemon for scrobbling to last.fm. The code is now in gitorious and works pretty
well, although it's still in an early stage and needs more work.

Feel free to give it a try: http://gitorious.org/mafw-lastfm
Comment 14 Iago Toral 2009-09-28 08:52:38 UTC
(In reply to comment #13)
> In case anyone is interested, I started writing some weeks ago a mafw-powered
> daemon for scrobbling to last.fm. The code is now in gitorious and works pretty
> well, although it's still in an early stage and needs more work.
> 
> Feel free to give it a try: http://gitorious.org/mafw-lastfm

Hey, that's great! Ping us if you need any help with that :)